<bugID>665580<Summary>Hide http:// and single trailing slashes in the location bar</Summary><Description>Created attachment 540497
patch

This makes the location bar more user-friendly, Chrome and Opera are already doing it. Can we follow their lead?

Try builds will appear here when they are ready: http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/dgottwald@mozilla.com-c2d9fef1f3f2</Description></bugID>